Subject: Re: [Mip6] draft-ietf-mip6-radius-01.txt

From: "Julien Bournelle" <[email-masked]>
Date: Mon, 26 Feb 2007 09:09:46 +0100

Hi Kuntal, Avi, all,

 thanks for the reply,

 one more comment inline,

On 2/23/07, Chowdhury, Kuntal <[email-masked]> wrote:

<snip>

> Regarding your question:
>
> >  I have one general question:
> >
> >  In the split scenario, how does the RADIUS server know that it is
> > performing AAA for mip6 service and not for network access ?
> >
> > (FYI, we encounter this problem in the DiME WG and we'll solve this by
>
> > using a different Application ID.)
>
> In RADIUS we don't have an application id therefore the AAA server
> determines the context of the packet it receives by examining the
> attributes.
>
> For example:
>
> The presence of an attribute in an Access-Request packet that only an HA
> or even more specifically a MIPv6 HA would provide in this case: MIP6-HA
> Attribute.  But this attribute is not a required attribute.
>
> NAS-Port-Type:  can be set to a value such as HA-IPv6.  This is the most
> reliable attribute but we need IANA to assign the attribute.
>
> The AAA may also know the context by using the NAS-IP and/or the
> NAS-Ids, that is, it will know that a particular NAS-IP is an HA vs a
> NAS. This obivously doesn't scale to large deployments.
>
> I think we need to update the draft to cover this discussion and request
> IANA for a NAS-Port-Type.

 I agree with that.

 Moreover, I think the Diameter considerations section should also be updated
 to reflect what's going on in DiME. I think the section is ok for the
NAS-to-AAAH
 part but should reflect what we will do for the HA-to-AAAH. At this point, it
 is not yet clear how we will use Diameter for HA-to-AAAH (cf. the long thread
 on the DiME ML) but this should be
 decided before or at the next IETF. I let you inform.

 Regards,

 Julien

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6